SDL_uikitopengles.h File Reference
`#include "../SDL_sysvideo.h"`
Include dependency graph for SDL_uikitopengles.h:

Go to the source code of this file.

## Functions

int | UIKit_GL_MakeCurrent (_THIS, SDL_Window *window, SDL_GLContext context)
void | UIKit_GL_GetDrawableSize (_THIS, SDL_Window *window, int *w, int *h)
void | UIKit_GL_SwapWindow (_THIS, SDL_Window *window)
SDL_GLContext | UIKit_GL_CreateContext (_THIS, SDL_Window *window)
void | UIKit_GL_DeleteContext (_THIS, SDL_GLContext context)
void * | UIKit_GL_GetProcAddress (_THIS, const char *proc)
int | UIKit_GL_LoadLibrary (_THIS, const char *path)

## Function Documentation

SDL_GLContext UIKit_GL_CreateContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void UIKit_GL_DeleteContext | ( | _THIS | ,
|  | SDL_GLContext | context
| ) |  |

void UIKit_GL_GetDrawableSize | ( | _THIS | ,
|  | SDL_Window * | window,
|  | int * | w,
|  | int * | h
| ) |  |

void* UIKit_GL_GetProcAddress | ( | _THIS | ,
|  | const char * | proc
| ) |  |

int UIKit_GL_LoadLibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

int UIKit_GL_MakeCurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

void UIKit_GL_SwapWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |